Get Event Registration
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyRegistrations
Get Event Registration
Retrieve a specific event registration by ID, including its e-tickets.
GET
/
wp-json
/
latepoint-api
/
v1
/
events
/
registrations
/
{id}
Get Event Registration
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyPath Parameters
integer
required
The ID of the registration to retrieve
Example Request
GET /wp-json/latepoint-api/v1/events/registrations/1
Authorization: Bearer YOUR_API_KEY
Response
{
"success": true,
"data": {
"id": 1,
"registration_code": "EAMDZKKG",
"event_id": 3,
"event_name": "Free Meetup",
"customer_id": 40,
"customer": {
"id": 40,
"first_name": "Api",
"last_name": "Tester",
"full_name": "Api Tester",
"email": "api.tester@example.com",
"phone": ""
},
"order_id": 89,
"order_item_id": 72,
"quantity": 2,
"status": "confirmed",
"status_label": "Confirmed",
"payment_status": "not_paid",
"notes": null,
"created_at": "2026-10-28 15:20:11",
"updated_at": "2026-10-28 15:20:11",
"ticket_types": [],
"tickets": [
{
"id": 1,
"ticket_code": "JBA3NUH8JD",
"label": "Ticket 1 of 2",
"registration_id": 1,
"event_id": 3,
"customer_id": 40,
"ticket_number": 1,
"ticket_type": "individual",
"ticket_type_id": null,
"ticket_type_name": null,
"status": "issued",
"checked_in_dates": [],
"last_scanned_at": null,
"public_url": "https://example.com/wp-admin/admin-post.php?action=latepoint_route_call&route_name=event_tickets__show&code=JBA3NUH8JD",
"qr_image_url": "https://example.com/wp-admin/admin-post.php?action=latepoint_route_call&route_name=event_tickets__qr_image&code=JBA3NUH8JD",
"pdf_url": "https://example.com/wp-admin/admin-post.php?action=latepoint_route_call&route_name=event_tickets__download_pdf&code=JBA3NUH8JD",
"created_at": "2026-10-28 15:20:11"
}
]
}
}
ticket_types is present when LatePoint Pro Features is installed, and tickets when LatePoint Pro E-Tickets are available. The example shows one ticket for brevity; a registration for 2 people has one ticket per attendee (or a single group ticket). See Get E-Ticket for the e-ticket fields.Error Response
{
"code": "event_registration_not_found",
"message": "Event registration not found",
"data": {
"status": 404
}
}
